org.apache.geode.memcached

## Enum GemFireMemcachedServer.Protocol

- java.lang.Object
- - java.lang.Enum<GemFireMemcachedServer.Protocol>
  - - org.apache.geode.memcached.GemFireMemcachedServer.Protocol

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GemFireMemcachedServer.Protocol>
  Enclosing class:
    GemFireMemcachedServer

      public static enum GemFireMemcachedServer.Protocol
      extends java.lang.Enum<GemFireMemcachedServer.Protocol>

  The protocol used by GemFireMemcachedServer

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCII`
    `BINARY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GemFireMemcachedServer.Protocol` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GemFireMemcachedServer.Protocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCII

          public static final GemFireMemcachedServer.Protocol ASCII

    - #### BINARY

          public static final GemFireMemcachedServer.Protocol BINARY

  - ### Method Detail

    - #### values

          public static GemFireMemcachedServer.Protocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GemFireMemcachedServer.Protocol c : GemFireMemcachedServer.Protocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GemFireMemcachedServer.Protocol valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null